hpp-corbaserver: PathValidations Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
PathValidations Class Reference

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for PathValidations:
[legend]
Collaboration diagram for PathValidations:
[legend]

## Public Types
typedef PathValidations_ptr | _ptr_type
typedef PathValidations_var | _var_type
Public Types inherited from PathValidation
typedef PathValidation_ptr | _ptr_type
typedef PathValidation_var | _var_type

## Public Member Functions
virtual | ~PathValidations ()
inline ::hpp::core_idl::PathValidations_ptr | _this ()
Public Member Functions inherited from PathValidation
virtual | ~PathValidation ()
inline ::hpp::core_idl::PathValidation_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
Static Public Member Functions inherited from PathValidation
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId
Static Public Attributes inherited from PathValidation
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef PathValidations_ptr PathValidations::_ptr_type

## ◆ _var_type

typedef PathValidations_var PathValidations::_var_type

## Constructor & Destructor Documentation

## ◆ ~PathValidations()

virtual PathValidations::~PathValidations | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type PathValidations::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type PathValidations::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void PathValidations::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type PathValidations::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type PathValidations::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::PathValidations_ptr PathValidations::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type PathValidations::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type PathValidations::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* PathValidations::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh